## construct 2.10.56+dfsg1

=== Makefile ===
help:
	cat Makefile

test:
	python3.6 -m pytest --benchmark-disable --showlocals

verbose:
	python3.6 -m pytest --benchmark-disable --showlocals --verbose

xfails:
	python3.6 -m pytest --benchmark-disable --verbose | egrep --color=always "xfail|XFAIL|xpass|XPASS"

cover:
	python3.6 -m pytest --benchmark-disable --cov construct --cov-report html --cov-report term --verbose

bench:
	python3.6 -m pytest --benchmark-enable --benchmark-columns=min,stddev --benchmark-sort=name --benchmark-compare

benchsave:
	python3.6 -m pytest --benchmark-enable --benchmark-columns=min,stddev --benchmark-sort=name --benchmark-compare --benchmark-autosave

html:
	cd docs; make html

installdeps:
	apt-get install python3.6 python3-sphinx --upgrade
	python3.6 -m pip install pytest pytest-benchmark pytest-cov twine --upgrade
	python3.6 -m pip install enum34 numpy arrow ruamel.yaml --upgrade
version:
	./version-increment

upload:
	python3.6 ./setup.py sdist
	python3.6 -m twine upload dist/*

## construct 2.5.1

=== debian/changelog ===
construct (2.5.1-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:29:11 +0000

construct (2.5.1-1) unstable; urgency=low

  * Initial release (Closes: #686396)

 -- Jonathan Wiltshire <jmw+debian@tiger-computing.co.uk>  Mon, 02 Sep 2013 11:07:18 +0100

=== debian/control ===
Source: construct
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Wiltshire <jmw+debian@tiger-computing.co.uk>
Build-Depends: debhelper (>= 8.0.0),
 python-all (>= 2.5~),
 python3-all (>= 3.2~),
 python-setuptools,
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.2
Homepage: http://construct.readthedocs.org/en/latest/
Vcs-Git: git://git.debian.org/collab-maint/construct.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/construct.git;a=summary

Package: python-construct
Architecture: all
Depends: python-six, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: powerful declarative parser (and builder) for binary data
 Construct is a python library for parsing and building of data structures
 (binary or textual). 
 .
 It is based on the concept of defining data structures in a declarative
 manner, rather than procedural code: more complex constructs are composed of
 a hierarchy of simpler ones. It's the first library that makes parsing
 fun, instead of the usual headache it is today.

Package: python3-construct
Architecture: all
Depends: python3-six, ${python3:Depends}, ${misc:Depends}
Description: powerful declarative parser (and builder) for binary data
 Construct is a python library for parsing and building of data structures
 (binary or textual). 
 .
 It is based on the concept of defining data structures in a declarative
 manner, rather than procedural code: more complex constructs are composed of
 a hierarchy of simpler ones. It's the first library that makes parsing
 fun, instead of the usual headache it is today.

## construct 2.5.2

=== debian/changelog ===
construct (2.5.2-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version (Closes: #793424)

 -- Hilko Bengen <bengen@debian.org>  Fri, 31 Jul 2015 00:22:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: construct
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonathan Wiltshire <jmw+debian@tiger-computing.co.uk>
+Maintainer: Jonathan Wiltshire <jmw+debian@tiger-computing.co.uk>
 Build-Depends: debhelper (>= 8.0.0),
  python-all (>= 2.5~),
  python3-all (>= 3.2~),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build construct.egg-info/SOURCES.txt construct.egg-info/PKG-INFO

override_dh_auto_build:
	dh_auto_build
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py build; \
	done;

override_dh_auto_install:
	dh_auto_install --destdir $(CURDIR)/debian/python-construct
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py install --root=$(CURDIR)/debian/python3-construct --install-layout=deb; \
	done;

%:
	dh $@ --with python2,python3

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/c/construct/ construct-(.*)\.tar\.gz

## construct 2.8.8

=== debian/changelog ===
construct (2.8.8-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #849634)

 -- Sebastien Delafond <seb@debian.org>  Wed, 25 Jan 2017 19:50:02 +0100

## construct 2.8.8+really2.5.2

=== debian/changelog ===
construct (2.8.8+really2.5.2-0.1) unstable; urgency=medium

  * Downgrade back to 2.5.2, since the API in construct 2.8.8 changed
    considerably and thus breaks other packages (Closes: #853082)

 -- Sebastien Delafond <seb@debian.org>  Sat, 04 Feb 2017 13:36:02 +0100

## construct 2.8.16

=== debian/changelog ===
construct (2.8.16-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the now required build dependency on dh-python.
    (Closes: #952300)

 -- Adrian Bunk <bunk@debian.org>  Tue, 07 Apr 2020 12:52:26 +0300

construct (2.8.16-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936330

 -- Sandro Tosi <morph@debian.org>  Thu, 10 Oct 2019 09:10:09 -0400

construct (2.8.16-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Add versioned Breaks for packages not compatible with >2.5. Thanks
    Hilko Bengen for the patch (Closes: #882808)

 -- Sebastien Delafond <seb@debian.org>  Wed, 29 Nov 2017 09:27:45 +0100

construct (2.8.16-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #849634)

 -- Sebastien Delafond <seb@debian.org>  Thu, 09 Nov 2017 14:42:42 +0100

=== debian/control ===
Source: construct
Section: python
Priority: extra
Maintainer: Jonathan Wiltshire <jmw+debian@tiger-computing.co.uk>
Build-Depends: debhelper (>= 8.0.0),
 python3-all (>= 3.2~),
 python3-setuptools,
 dh-python,
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.2
Homepage: http://construct.readthedocs.org/en/latest/
Vcs-Git: git://git.debian.org/collab-maint/construct.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/construct.git;a=summary

Package: python3-construct
Architecture: all
Depends: python3-six, ${python3:Depends}, ${misc:Depends}
Breaks: python3-dfwinreg (<< 20170706-2~)
Description: powerful declarative parser (and builder) for binary data
 Construct is a python library for parsing and building of data structures
 (binary or textual). 
 .
 It is based on the concept of defining data structures in a declarative
 manner, rather than procedural code: more complex constructs are composed of
 a hierarchy of simpler ones. It's the first library that makes parsing
 fun, instead of the usual headache it is today.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build construct.egg-info/SOURCES.txt construct.egg-info/PKG-INFO

%:
	dh $@ --with python3 --buildsystem=pybuild

## construct 2.10.56

=== debian/changelog ===
construct (2.10.56-1~bpo10+1) UNRELEASED; urgency=medium

  * buster-backports Rebuilt for buster.

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Wed, 13 May 2020 17:58:18 +0000

construct (2.10.56-1) unstable; urgency=medium

  * New upstream release; Closes: #943656
  * Updated debian/copyright to add new maintainer name
  * Updated debian/watch file
  * Added debian/salsa-ci.yml file
  * Added debian/tests/control autopkg test case with pytest
  * Added dependency on runamel.yaml
  * Set maintainer to DPMT and updated VCS fields (Closes: #880113)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sun, 26 Apr 2020 22:45:17 +0200

=== debian/control ===
Source: construct
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all (>= 3.6),
               python3-arrow,
               python3-numpy,
               python3-ruamel.yaml,
               python3-setuptools
Standards-Version: 4.5.0
X-Python3-Version: >= 3.6
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: http://construct.readthedocs.org/en/latest/
Vcs-Git: https://salsa.debian.org/python-team/modules/construct.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/construct

Package: python3-construct
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Breaks: python3-dfwinreg (<< 20170706-2~)
Description: powerful declarative parser (and builder) for binary data
 Construct is a Python library for parsing and building of data structures
 (binary or textual).
 .
 It is based on the concept of defining data structures in a declarative
 manner, rather than procedural code: more complex constructs are composed of
 a hierarchy of simpler ones. It's the first library that makes parsing
 fun, instead of the usual headache it is today.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/construct-$1\.tar\.gz/ \
  https://github.com/construct/construct/tags .*/v?(\d\S+)\.tar\.gz

## construct 2.10.56+dfsg1

=== debian/changelog ===
construct (2.10.56+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Henry-Nicolas Tourneur ]
  * Exclude binary blobs from distribution
    Fixes the lintian warnings source-contains-prebuilt-windows-binary
  * d/gbp.conf: conform to DEP-14
  * d/rules: cleanup

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Fri, 16 Oct 2020 13:10:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: construct
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -15,8 +15,8 @@
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: http://construct.readthedocs.org/en/latest/
-Vcs-Git: https://salsa.debian.org/python-team/modules/construct.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/construct
+Vcs-Git: https://salsa.debian.org/python-team/packages/construct.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/construct
 
 Package: python3-construct
 Architecture: all

## construct 2.10.58+dfsg1

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	apt-get install python3.6 python3-sphinx --upgrade
 	python3.6 -m pip install pytest pytest-benchmark pytest-cov twine --upgrade
 	python3.6 -m pip install enum34 numpy arrow ruamel.yaml --upgrade
+
 version:
 	./version-increment

=== debian/changelog ===
construct (2.10.58+dfsg1-1) unstable; urgency=medium

  * New upstream version 2.10.58+dfsg1
  * d/contol: debhelper-compat to 13 (from 12)
  * d/control: bump Standard-Version to 4.5.1. No changes needed.

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Thu, 28 Jan 2021 18:45:09 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all (>= 3.6),
                python3-arrow,
                python3-numpy,
                python3-ruamel.yaml,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 X-Python3-Version: >= 3.6
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python

=== debian/tests/control ===
Test-Command: pytest-3 tests/test_*
Depends: python3-all,
         python3-arrow,
         python3-numpy,
         python3-pytest,
         python3-pytest-benchmark,
         python3-ruamel.yaml,
         python3-setuptools,
         @

## construct 2.10.67%2Bdfsg1

=== debian/changelog ===
construct (2.10.67+dfsg1-1) unstable; urgency=medium

  [ Henry-Nicolas Tourneur ]
  * New upstream version 2.10.67+dfsg1
  * d/rules: make sure pytests are executed, excluding those relying
    on blobs removed. 
  * d/rules: Cleanup example_ files generated during test run.
  * d/tests/control: invoke pytest-3 use the same exclusion logic as in
    d/rules.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sun, 22 Aug 2021 21:05:35 +0000

## construct 2.10.67+dfsg1

=== Makefile ===
help:
	cat Makefile

test:
	python3.8 -m pytest --benchmark-disable --showlocals

verbose:
	python3.8 -m pytest --benchmark-disable --showlocals --verbose

xfails:
	python3.8 -m pytest --benchmark-disable --verbose | egrep --color=always "xfail|XFAIL|xpass|XPASS"

cover:
	python3.8 -m pytest --benchmark-disable --cov construct --cov-report html --cov-report term --verbose

bench:
	python3.8 -m pytest --benchmark-enable --benchmark-columns=min,stddev --benchmark-sort=name --benchmark-compare

benchsave:
	python3.8 -m pytest --benchmark-enable --benchmark-columns=min,stddev --benchmark-sort=name --benchmark-compare --benchmark-autosave

html:
	cd docs; make html

installdeps:
	apt-get install python3.8 python3-sphinx --upgrade
	python3.8 -m pip install pytest pytest-benchmark pytest-cov twine --upgrade
	python3.8 -m pip install enum34 numpy arrow ruamel.yaml cloudpickle lz4 --upgrade

version:
	./version-increment

upload:
	python3.8 ./setup.py sdist
	python3.8 -m twine upload dist/*

=== debian/changelog ===
construct (2.10.67+dfsg1-1~cloud0) focal-yoga; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 28 Oct 2021 17:23:55 +0000

## construct 2.10.68%2Bdfsg1

=== debian/changelog ===
construct (2.10.68+dfsg1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Trim trailing whitespace.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 06 Dec 2022 12:31:33 +0000

construct (2.10.68+dfsg1-1) unstable; urgency=medium

  [ Henry-Nicolas Tourneur ]
  * New upstream version 2.10.68+dfsg1

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all.
    + python3-construct: Drop versioned constraint on python3-dfwinreg in
      Breaks.
  * Trim trailing whitespace.
  * d/control: Bump Standard-Versions to 4.6.0 (no changes needed)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Fri, 25 Mar 2022 20:57:30 +0000

## construct 2.10.68+dfsg1

=== Makefile ===
help:
	cat Makefile

test:
	python3.9 -m pytest --benchmark-disable --showlocals

verbose:
	python3.9 -m pytest --benchmark-disable --showlocals --verbose

xfails:
	python3.9 -m pytest --benchmark-disable --verbose | egrep --color=always "xfail|XFAIL|xpass|XPASS"

cover:
	python3.9 -m pytest --benchmark-disable --cov construct --cov-report html --cov-report term --verbose

bench:
	python3.9 -m pytest --benchmark-enable --benchmark-columns=min,stddev --benchmark-sort=name --benchmark-compare

benchsave:
	python3.9 -m pytest --benchmark-enable --benchmark-columns=min,stddev --benchmark-sort=name --benchmark-compare --benchmark-autosave

html:
	cd docs; make html

installdeps:
	apt-get install python3.9 python3-pip python3-sphinx --upgrade
	python3.9 -m pip install pytest pytest-benchmark pytest-cov twine --upgrade
	python3.9 -m pip install enum34 numpy arrow ruamel.yaml cloudpickle lz4 --upgrade

version:
	./version-increment

upload:
	python3.9 ./setup.py sdist
	python3.9 -m twine upload dist/*

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/construct.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/construct.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/construct"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/construct"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
construct (2.10.68+dfsg1-3) unstable; urgency=medium

  * Team upload.

  [Zhixiong Chi]
  * Set PYTHONPATH to fix test modules imports in autopkgtest. thanks for
    "Chi, Zhixiong" <zhixiong.chi@windriver.com> (Closes: #1102620)

 -- Bo YU <vimer@debian.org>  Mon, 25 Aug 2025 11:27:01 +0800

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,27 @@
 Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all (>= 3.6),
+               python3-all,
                python3-arrow,
+               python3-cloudpickle,
+               python3-lz4,
+               python3-pytest,
+               python3-pytest-benchmark,
+               python3-pytest-cov,
                python3-numpy,
                python3-ruamel.yaml,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 X-Python3-Version: >= 3.6
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
-Homepage: http://construct.readthedocs.org/en/latest/
+Homepage: https://construct.readthedocs.org/en/latest/
 Vcs-Git: https://salsa.debian.org/python-team/packages/construct.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/construct
 
 Package: python3-construct
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Breaks: python3-dfwinreg (<< 20170706-2~)
 Description: powerful declarative parser (and builder) for binary data
  Construct is a Python library for parsing and building of data structures
  (binary or textual).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# example_ files are generated in the build dir by the test run
export PYBUILD_AFTER_TEST := rm {build_dir}/example_*

%:
	dh $@ --with python3 --buildsystem=pybuild

# The gallery tests are not working, they rely on excluded blobs
# See copyright Files-Excluded for the list of excluded blobs
# Therefore, we exclude those tests from pytest execution
override_dh_auto_test:
	dh_auto_test -- --test-args="--ignore tests/gallery/ --ignore tests/deprecated_gallery/"

=== debian/tests/control ===
Test-Command: PYTHONPATH=. pytest-3 --ignore tests/gallery/ --ignore tests/deprecated_gallery/
Depends: @builddeps@, @

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/construct-$1\.tar\.gz/ \
  https://github.com/construct/construct/tags .*/v?(\d\S+)\.tar\.gz
